﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace SupCom2_Mod_Manager
{
    class SettingsData
    {
        public static string ModDataFolder { get; set; } //Working Mod Folders
        public static string SC2Folder { get; set; } //Working Mod Folders
        public static bool PersistentLoading { get; set; } //Keep mods loading outside manager
        public static bool EnableLogging { get; set; } //Logs manager activity to log.txt in the appdata folder
        public static bool SaveBlock { get; set; } //Prevents saving of settings (Manages folder errors)
        public static bool LoadingPhase { get; set; } //Keep mods loading outside manager
        public static bool AbortSaveLoad { get; set; } //Avoids saving or loading mods.

        public static void NewSettings()
        {
            SettingsData.SaveBlock = false;
            SettingsData.SC2Folder = SC2MMData.GetSupCom2Path();
            SettingsData.ModDataFolder = SettingsData.SC2Folder + "SC2MM\\";
            SettingsData.PersistentLoading = false;
            SettingsData.EnableLogging = false;
        }

        public static string ReadCFG(string path, string m_value)
        {
            string s_valuetext = "No Data for " + m_value;
            string line = "";
            StreamReader sr = new StreamReader(path);
            while (!sr.EndOfStream)
            {
                line = sr.ReadLine();
                if (line.TrimStart(' ').StartsWith(m_value) & line.Contains("<<") & line.Contains(">>"))
                {
                    line = line.Remove(0, line.IndexOf("<<") + 2);
                    line = line.Remove(line.IndexOf(">>"));
                    s_valuetext = line;
                }
            }
            sr.Close();
            return s_valuetext;
        }

    }
}
