﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace SupCom2_Mod_Manager
{
    public partial class frmSettings : Form
    {
        public frmSettings()
        {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmSettings_Load(object sender, EventArgs e)
        {
            DisplaySettings();
        }

        private void DisplaySettings()
        {
            txtModDataFolder.Text = SettingsData.ModDataFolder;
            txtSC2Folder.Text = SettingsData.SC2Folder;
            chkPersistence.Checked = SettingsData.PersistentLoading;
            chkLogging.Checked = SettingsData.EnableLogging;

            fbDialog.RootFolder = Environment.SpecialFolder.MyComputer;
            fbDialog.SelectedPath = SettingsData.ModDataFolder;
        }

        private void btnModBrowse_Click(object sender, EventArgs e)
        {
            if (fbDialog.ShowDialog() == DialogResult.OK)
            {
                txtModDataFolder.Text = fbDialog.SelectedPath + "\\";
            }
        }
        private void btnSC2Browse_Click(object sender, EventArgs e)
        {
            if (fbDialog.ShowDialog() == DialogResult.OK)
            {
                txtSC2Folder.Text = fbDialog.SelectedPath + "\\";
            }
        }


        private void btnOK_Click(object sender, EventArgs e)
        {
            SettingsData.PersistentLoading = chkPersistence.Checked;
            SettingsData.EnableLogging = chkLogging.Checked;

                if (txtModDataFolder.Text != SettingsData.ModDataFolder)
                {
                    MoveFolders();
                }
                if (txtModDataFolder.Text != SettingsData.SC2Folder)
                {
                    SettingsData.SC2Folder = txtSC2Folder.Text;
                }
            this.Close();
        }

        private void btnReset_Click(object sender, EventArgs e)
        {
            string oldFolder = SettingsData.ModDataFolder;
            SettingsData.NewSettings();
            DisplaySettings();

            if (oldFolder != SettingsData.ModDataFolder)
            {
                MoveFolders();
            }
        }

        private void MoveFolders()
        {
            foreach (string p_dir in Directory.GetDirectories(SettingsData.ModDataFolder))
            {
                DirectoryInfo d_dir = new DirectoryInfo(p_dir);
                Directory.Move(p_dir, txtModDataFolder.Text + d_dir.Name);
            }
            SettingsData.ModDataFolder = txtModDataFolder.Text;
            MessageBox.Show("Successfully moved current files to new location");
        }
        
    }
       
}
